Redmine - Defect #8574

Time report: date range fields not enabled when using the calendar popup
2011-06-09 11:17 - Anton Nepomnyaschih

Status: Closed Start date: 2011-06-09
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 1.4.1

Resolution: Fixed Affected version: 1.2.0

Description

After the last update from 1.1 to 1.2 we got following bug. This can also be reproduced on demo.redmine.org.
Steps to reproduce

1. Go to any project's Overview page. Then go to Report.

2. By default you see "all time" selected (http://screencast.com/t/UZ4tIC6lI1).

3. Click on calender icon and select range from a day one week before (in this sample | selected 2011-06-02) to previous day
(here | selected 2011-06-08).

4. Click "Apply".

Expected result
Date range stays the same (from 2011-06-02 to 2011-06-08) and you can follow with adding "details".

Actual result
Date range is reset to default one (from 2011-06-09 to 2011-06-09) http://screencast.com/t/9AxjulklQQuo So, you have to select
necessary range again :( (from 2011-06-02 to 2011-06-08)...

Associated revisions

Revision 9452 - 2012-04-19 14:26 - Jean-Philippe Lang
Fixed that date range fields don't get enabled when using the calendar popup (#8574).

History

#1 - 2011-06-10 10:15 - Etienne Massip

Can't reproduce.
Are you sure that this is not a plugin issue ?
Can you reproduce on demo site ?

#2 - 2011-06-10 10:28 - Anton Nepomnyaschih

I've reproduced this in my Chrome 12.0.742.30 dev-m and also at Firefox 4.0.1. Here is result: http://screencast.com/t/IxtlkjS03on

#3 - 2011-06-10 12:27 - Etienne Massip
- Category set to Time tracking

- Target version set to Candidate for next minor release

Ok, got it. Date input controls states are not updated if you popup calendars without selecting 2nd radio button first.

#4 - 2011-06-10 12:30 - Etienne Massip
Behavior introduced by r5299.

#5 - 2012-04-19 14:27 - Jean-Philippe Lang
- Subject changed from Spent time report strange date range behaviour to Time report: date range fields not enabled when using the calendar popup
- Category changed from Time tracking to Ul

- Status changed from New to Resolved
- Assignee set to Jean-Philippe Lang
- Target version changed from Candidate for next minor release to 1.4.1

- Resolution set to Fixed

Fixed in r9452.

#6 - 2012-04-20 08:13 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged in r9453.
